# Job Visualizer
This project is meant to visualize scheduled jobs for a given timespan, 
so you're able to see bottlenecks or timeframes where to many jobs are run simultaneously.

**This tool analyzes a CSV file and creates an HTML file.**

## Usage
For usage information call
```
./job-visualizer -h
```

That will result in
```
Usage of ./job-visualizer:
  -file string
        File to import
  -output string
        File to generate
```

* `--file` Is a csv file you want to analyze
* `--output` Is an html file the tool will generate

### CSV File Format
Currently the format is fixed and planned to be configurable in the future.

You need the following columns:
* Prefix/Group
* job_name: The name of the job
* job_type: The type of the job
* start_time: A string with start times for the group, e.g. `"2019-11-02 21:10:21,2019-11-03 21:19:33"`
* end_time: As start_time, but the end times, e.g. `"2019-11-02 21:10:22,2019-11-03 21:19:33"`